aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2016-01-22 11:54:16 -0600
committerWilliam Hubbs <w.d.hubbs@gmail.com>2016-01-22 12:07:13 -0600
commite277ae57efaba3be3eb619fd00084b116c370231 (patch)
treee4e1a3ed9f8b4558d0dc9b43a342885c67bd1ffd
parent69f052b611878d771fc3f56ee77639269db9b6e1 (diff)
fix tests
X-Gentoo-Bug: 572602 X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=572602
-rw-r--r--init.d/netmount.in2
-rw-r--r--scripts/rc-sstat.in6
-rw-r--r--sh/openrc-run.sh.in2
-rw-r--r--src/rc/rc-selinux.h6
-rw-r--r--src/rc/rc.c2
-rwxr-xr-xsrc/test/runtests.sh3
-rwxr-xr-xtest/setup_env.sh4
7 files changed, 12 insertions, 13 deletions
diff --git a/init.d/netmount.in b/init.d/netmount.in
index 99e0dda4..0acf15ea 100644
--- a/init.d/netmount.in
+++ b/init.d/netmount.in
@@ -21,7 +21,7 @@ depend()
esac
done
config /etc/fstab
- want $mywant
+ want $mywant
use afc-client amd openvpn
use dns
keyword -jail -prefix -systemd-nspawn -vserver -lxc
diff --git a/scripts/rc-sstat.in b/scripts/rc-sstat.in
index 44dc9e05..a204dbda 100644
--- a/scripts/rc-sstat.in
+++ b/scripts/rc-sstat.in
@@ -52,8 +52,8 @@ if [ ! -d $scandir ]; then
exit 1
fi
-# Make sure s6-svscan is running
-if ! pgrep s6-svscan >/dev/null ; then
+# Make sure s6-svscan is running
+if ! pgrep s6-svscan >/dev/null ; then
printf "s6-svscan is not running\n"
exit 1
fi
@@ -141,7 +141,7 @@ do
fi
done
-# Cleanup
+# Cleanup
rm -f $statfile 2>/dev/null
printf "\n\n"
diff --git a/sh/openrc-run.sh.in b/sh/openrc-run.sh.in
index b393e943..fb6f95be 100644
--- a/sh/openrc-run.sh.in
+++ b/sh/openrc-run.sh.in
@@ -244,7 +244,7 @@ for _cmd; do
break
fi
done
-
+
# Load our script
sourcex "$RC_SERVICE"
diff --git a/src/rc/rc-selinux.h b/src/rc/rc-selinux.h
index 6bc1accb..c3258d99 100644
--- a/src/rc/rc-selinux.h
+++ b/src/rc/rc-selinux.h
@@ -25,10 +25,10 @@ void selinux_setup(char **argv);
/* always return false for selinux_util_open() */
#define selinux_util_open() (0)
-#define selinux_util_label(x) do { } while(0)
-#define selinux_util_close() do { } while(0)
+#define selinux_util_label(x) do { } while (0)
+#define selinux_util_close() do { } while (0)
-#define selinux_setup(x) do { } while(0)
+#define selinux_setup(x) do { } while (0)
#endif
diff --git a/src/rc/rc.c b/src/rc/rc.c
index 7836341e..4efa0cf9 100644
--- a/src/rc/rc.c
+++ b/src/rc/rc.c
@@ -282,7 +282,7 @@ open_shell(void)
#ifdef __linux__
const char *sys = rc_sys();
-
+
/* VSERVER systems cannot really drop to shells */
if (sys && strcmp(sys, RC_SYS_VSERVER) == 0)
{
diff --git a/src/test/runtests.sh b/src/test/runtests.sh
index 5a87c847..1736dd55 100755
--- a/src/test/runtests.sh
+++ b/src/test/runtests.sh
@@ -85,12 +85,14 @@ eend $? "Trailing newlines need to be deleted:"$'\n'"${out}"
ebegin "Checking for obsolete functions"
out=$(cd ${top_srcdir}; find src -name '*.[ch]' \
+ ! -name queue.h \
-exec grep -n -E '\<(malloc|memory|sys/(errno|fcntl|signal|stropts|termios|unistd))\.h\>' {} +)
[ -z "${out}" ]
eend $? "Avoid these obsolete functions:"$'\n'"${out}"
ebegin "Checking for x* func usage"
out=$(cd ${top_srcdir}; find src -name '*.[ch]' \
+ ! -name queue.h \
-exec grep -n -E '\<(malloc|strdup)[[:space:]]*\(' {} + \
| grep -v \
-e src/includes/helpers.h \
@@ -100,6 +102,7 @@ eend $? "These need to be using the x* variant:"$'\n'"${out}"
ebegin "Checking spacing style"
out=$(cd ${top_srcdir}; find src -name '*.[ch]' \
+ ! -name queue.h \
-exec grep -n -E \
-e '\<(for|if|switch|while)\(' \
-e '\<(for|if|switch|while) \( ' \
diff --git a/test/setup_env.sh b/test/setup_env.sh
index f7996eea..ffbd027d 100755
--- a/test/setup_env.sh
+++ b/test/setup_env.sh
@@ -21,7 +21,3 @@ LD_LIBRARY_PATH=${top_builddir}/src/libeinfo:${top_builddir}/src/librc:${LD_LIBR
PATH=${top_builddir}/src/rc:${PATH}
export LD_LIBRARY_PATH PATH
-cd ${top_srcdir}/src/rc
-${MAKE:-make} links >/dev/null
-cd -
-